<?php
require'f_smsuri.php';
$cid=$_POST['cid'];
$pret_com=$_POST['pret_com'];
$pret_rate=$_POST['pret_rate'];
$titlu='Editeaza SMS '.$pid.' - '.$pnume;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='textul SMS-ului '.$pinfo[8];
$text=$pmtext;
require'f_ban.php';
}
if($_SERVER['REQUEST_TIME']<$pinfo[5]+15*60&&$pinfo[1]==$de||$perm>0)
{
if(($cid!=''&&$pmtext!=''?$conn->query('UPDATE`sms`SET`text`="'.$pmtext.'",`cid`="'.$cid.'"WHERE`id`="'.$pid.'"'):false))
{
$pinfo[8]=mb_substr($pmtext,0,15);
if($de!=$pinfo[1])
{
require'f_notificare.php';
notificare('am editat SMS-ul tau [url=/sms/id/'.$pid.'-'.seo($pinfo[8]).']'.$pinfo[8].'[/url]!',$pinfo[1],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'SMS editat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat categoria sau textul SMS-ului, sau este adăugat un SMS cu acest text!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai depasit timpul de editare, sau nu ai permisiunile necesare pentru a edita categoria și textul acestui SMS!';
if(preg_match('/[^0-9]/',$pret_com)||mb_strlen($pret_com)>4||preg_match('/[^0-9]/',$pret_rate)||mb_strlen($pret_rate)>4)
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii",`de`="'.$de.'",`text`="a încercat să ofere la un SMS ca preț comentarii '.$pret_com.' lei, și ca preț note '.$pret_rate.' lei, fapt pentru care i-au fost retrasi un număr de '.$conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0].' lei!",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0"WHERE`id`="'.$de.'"');
echo'<br />Ai scris un preț incorect, dacă ai introdus alte simboluri care nu pot fi socotite ca și inselatorii, vei primi leii inapoi, vorbeste cu <strong>'.join(', sau cu ',array_map('nume',$id_proprietari)).'</strong> în maxim 24 de ore!';
}
else
{
$conn->query('UPDATE`sms`SET`pret_com`="'.$pret_com.'",`pret_rate`="'.$pret_rate.'"WHERE`id`="'.$pid.'"&&`de`="'.$de.'"');
echo'<br />Ai setat ca preț pentru comentarii suma de <strong>'.$pret_com.'</strong> lei, iar ca preț pentru note, suma de <strong>'.$pret_rate.'</strong> lei!';
}
echo$div[0];
require'f_jos.php';